org.jboss.jca.common.metadata.common

## Class TimeOutImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.common.TimeOutImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.common.TimeOut, org.jboss.jca.common.api.metadata.JCAMetadata
  Direct Known Subclasses:
    TimeOutImpl

      public class TimeOutImpl
      extends java.lang.Object
      implements org.jboss.jca.common.api.metadata.common.TimeOut

  A TimeOutImpl.
  Author:
    Stefano Maestri
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.common.TimeOut

      `org.jboss.jca.common.api.metadata.common.TimeOut.Tag`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Integer` | `allocationRetry` allocationRetry
    `protected java.lang.Long` | `allocationRetryWaitMillis` allocationRetryWaitMillis
    `protected java.lang.Long` | `blockingTimeoutMillis` blockingTimeoutMillis
    `protected java.lang.Long` | `idleTimeoutMinutes` idleTimeoutMinutes
    `protected java.lang.Integer` | `xaResourceTimeout` xaResourceTimeout

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeOutImpl(java.lang.Long blockingTimeoutMillis, java.lang.Long idleTimeoutMinutes, java.lang.Integer allocationRetry, java.lang.Long allocationRetryWaitMillis, java.lang.Integer xaResourceTimeout)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Integer` | `getAllocationRetry()` Get the allocationRetryWaitMillis.
    `java.lang.Long` | `getAllocationRetryWaitMillis()` Get the allocationRetryWaitMillis.
    `java.lang.Long` | `getBlockingTimeoutMillis()` Get the blockingTimeoutMillis.
    `java.lang.Long` | `getIdleTimeoutMinutes()` Get the idleTimeoutMinutes.
    `java.lang.Integer` | `getXaResourceTimeout()` Get the xaResourceTimeout.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### blockingTimeoutMillis

          protected java.lang.Long blockingTimeoutMillis

      blockingTimeoutMillis

    - #### idleTimeoutMinutes

          protected java.lang.Long idleTimeoutMinutes

      idleTimeoutMinutes

    - #### allocationRetry

          protected java.lang.Integer allocationRetry

      allocationRetry

    - #### allocationRetryWaitMillis

          protected java.lang.Long allocationRetryWaitMillis

      allocationRetryWaitMillis

    - #### xaResourceTimeout

          protected java.lang.Integer xaResourceTimeout

      xaResourceTimeout

  - ### Constructor Detail

    - #### TimeOutImpl

          public TimeOutImpl(java.lang.Long blockingTimeoutMillis,
                             java.lang.Long idleTimeoutMinutes,
                             java.lang.Integer allocationRetry,
                             java.lang.Long allocationRetryWaitMillis,
                             java.lang.Integer xaResourceTimeout)
                      throws org.jboss.jca.common.api.validator.ValidateException

      Constructor
      Parameters:
        `blockingTimeoutMillis` - blockingTimeoutMillis
        `idleTimeoutMinutes` - idleTimeoutMinutes
        `allocationRetry` - allocationRetry
        `allocationRetryWaitMillis` - allocationRetryWaitMillis
        `xaResourceTimeout` - xaResourceTimeout
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - ValidateException

  - ### Method Detail

    - #### getBlockingTimeoutMillis

          public java.lang.Long getBlockingTimeoutMillis()

      Get the blockingTimeoutMillis.
      Specified by:
        `getBlockingTimeoutMillis` in interface `org.jboss.jca.common.api.metadata.common.TimeOut`
      Returns:
        the blockingTimeoutMillis.

    - #### getIdleTimeoutMinutes

          public java.lang.Long getIdleTimeoutMinutes()

      Get the idleTimeoutMinutes.
      Specified by:
        `getIdleTimeoutMinutes` in interface `org.jboss.jca.common.api.metadata.common.TimeOut`
      Returns:
        the idleTimeoutMinutes.

    - #### getAllocationRetry

          public java.lang.Integer getAllocationRetry()

      Get the allocationRetryWaitMillis.
      Specified by:
        `getAllocationRetry` in interface `org.jboss.jca.common.api.metadata.common.TimeOut`
      Returns:
        the allocationRetryWaitMillis.

    - #### getAllocationRetryWaitMillis

          public java.lang.Long getAllocationRetryWaitMillis()

      Get the allocationRetryWaitMillis.
      Specified by:
        `getAllocationRetryWaitMillis` in interface `org.jboss.jca.common.api.metadata.common.TimeOut`
      Returns:
        the allocationRetryWaitMillis.

    - #### getXaResourceTimeout

          public java.lang.Integer getXaResourceTimeout()

      Get the xaResourceTimeout.
      Specified by:
        `getXaResourceTimeout` in interface `org.jboss.jca.common.api.metadata.common.TimeOut`
      Returns:
        the xaResourceTimeout.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)